# Uses of Class
org.eclipse.birt.core.framework.parser.AbstractParseState

Packages that use AbstractParseState
Package
Description
org.eclipse.birt.core.framework.parser
Provides a framework for parsing an XML file using a SAX parser.

## Uses of AbstractParseState in org.eclipse.birt.core.framework.parser

Subclasses of AbstractParseState in org.eclipse.birt.core.framework.parser
Modifier and Type
Class
Description
`class`
`AnyElementState`
Parses any valid XML; handles unimplemented tags.
`class`
`ParseState`
Base class provides the parse state framework.
`class`
`XMLParserHandler.InnerAnyTagState`
Parses any valid XML; handles unimplemented tags.
`class`
`XMLParserHandler.InnerParseState`
Base class provides the parse state framework.
Methods in org.eclipse.birt.core.framework.parser that return AbstractParseState
Modifier and Type
Method
Description
`abstract AbstractParseState`
XMLParserHandler.`createStartState()`
Parser handlers must implement this method to return the "start state": the state that will recognize the top-level element(s) in the XML file.
`AbstractParseState`
AbstractParseState.`jumpTo()`
Jumps to the specified state that the current state needs to go.
`AbstractParseState`
AbstractParseState.`startElement(String tagName)`
Start a new tag.
`AbstractParseState`
AnyElementState.`startElement(String tagName)`
`AbstractParseState`
XMLParserHandler.InnerAnyTagState.`startElement(String tagName)`
`protected AbstractParseState`
XMLParserHandler.`topState()`
Private method to return the top of the state stack.
Methods in org.eclipse.birt.core.framework.parser with parameters of type AbstractParseState
Modifier and Type
Method
Description
`void`
AbstractParseState.`endElement(AbstractParseState state)`
Called when a child element is ending.
`protected void`
XMLParserHandler.`pushState(AbstractParseState state)`
Private method to add a parse state to the state stack.